.container {
  width: 95%;
  margin: auto;
}

.course-title {
  margin: 50px 0 7px 20px;
  font-family: var(--evidence-font);
  font-size: 30px;
}

.course-subtitle {
  margin: 0 0 20px 20px;
  color: var(--text-secondary);
  font-family: var(--evidence-font);
  font-size: 20px;
}

.tech-section {
  display: flex;
  gap: 50px;
  padding: 30px;
  border: var(--border-standard);
  border-radius: 20px;
  background: var(--bg-content-card);
  box-shadow: var(--shadow-dark);
}

.meta-section {
  flex: 1;
  display: flex;
  gap: 40px;
}

.description-section {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.image-container img {
  max-width: 300px;
  width: 100%;
  height: auto;
  border-radius: 20px;
  box-shadow: var(--shadow-hero-card);
  filter: var(--image-filter);
}

.meta-container {
  display: flex;
  align-items: center;
}

.meta-container ul {
  margin: 0;
  list-style-type: none;
  padding: 0;
}

.meta-container li {
  margin-top: 6px;
  padding-bottom: 4px;
  border-bottom: var(--border-standard);
}

.key-span {
  margin-right: 10px;
  color: var(--text-muted);
  font-size: 17px;
  font-weight: 500;
}

.key-value {
  color: var(--text-secondary);
  font-size: 15px;
  font-weight: 100;
}

.key-value.price {
  color: var(--text-accent-blue);
  font-size: 18px;
  font-weight: bolder;
}

.description-section p {
  color: var(--text-secondary);
  font-size: 18px;
  line-height: 1.2;
}

.description-section p:last-child {
  color: var(--text-muted);
  font-size: 17px;
}

.divider-band {
  width: 100%;
  height: 80px;
  margin: 40px 0 0 0;
  background: linear-gradient(
    to bottom,
    transparent,
    rgba(255,255,255,0.03),
    transparent
  );
}

.data-section {
  display: flex;
  padding: 40px 10px;
}

.program-section {
  flex: 1.1; 
  display: flex;
  flex-direction: column;
  align-items: center;
}

.calendar-section {
  flex: 0.9;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.data-section h2 {
  margin-top: 0;
  margin-bottom: 0;
  font-family: var(--evidence-font);
  font-size: 26px;
}

.program-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 35px 45px;
  margin-top: 30px;
}

.program-card {
  padding: 35px 20px 20px 20px;
  border: var(--border-standard);
  border-radius: 14px;
  background: var(--bg-content-card);
  position: relative;
  backdrop-filter: blur(10px);
  box-shadow: var(--shadow-dark);
}

.card-number {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60px;
  height: 60px;
  margin: 0 auto 25px;
  border: var(--border-standard);
  border-radius: 50%;
  color: var(--text-muted);
  background: var(--bg-content-card);
  font-size: 20px;
  box-shadow: var(--shadow-dark);
  transition: 0.3s;
}

.program-card h3 {
  margin: 0;
  text-align: center;
  font-size: 20px;
}

.program-details {
  text-align: left;
  overflow: hidden;
  max-height: 0;
  opacity: 0;
  transition: 
    max-height 0.5s ease,
    opacity 0.5s ease;
}

.program-details ul {
  list-style-type: none;
  padding-left: 20px;
}

.program-details li {
  margin: 5px 0;
  color: var(--text-secondary);
  font-size: 14px;  
}

.program-details li::before {
  content: "✔";
  color: var(--text-accent-blue);
  margin-right: 10px;
}

.program-card-button-container {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}

.program-card-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  min-width: max-content;
  line-height: 1;
  padding: 6px 12px;
  border: var(--border-button-outline);
  border-radius: 20px;
  color: var(--text-accent-blue);
  background: transparent;
  font-size: 14px;
  font-weight: 100;
  text-decoration: none;
  box-shadow: var(--shadow-blue-off);
  transition: 0.3s;
}
.program-card-button:hover {
  transform: translateY(-3px);
  color: var(--text-primary);
  background: var(--bg-button-outline-on);
  box-shadow: var(--shadow-blue-on);
}

.program-card.active {
  box-shadow: var(--shadow-blue-on);
}

.program-card.active .card-number {
  border: var(--border-button-outline);
  color: var(--text-accent-blue);
  font-weight: bold;
  box-shadow: var(--shadow-blue-on);
}

.program-card.active .program-details {
  max-height: 1000px;
  opacity: 1;
}

.next-classroom-container {
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: 40px;
  margin-top: 60px;
}

.next-classroom {
  padding: 20px 40px;
  border: var(--border-standard);
  border-radius: 14px;
  color: var(--text-secondary);
  background: var(--bg-content-card);
  font-size: 20px;
  box-shadow: var(--shadow-blue-on);
}

.cta-container {
  display: flex;
  flex-direction: column;
  gap: 25px;
  margin-top: 80px;
  
}

.cta-container button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  min-width: max-content;
  line-height: 1;
  padding: 14px 28px;
  border: var(--border-button-outline);
  border-radius: 20px;
  color: var(--text-accent-blue);
  background: transparent;
  opacity: 0.8;
  font-size: 18px;
  font-weight: 500;
  text-decoration: none;
  box-shadow: var(--shadow-blue-off);
  transition: 0.3s;
}
.cta-container button:hover {
  transform: translateY(-3px);
  color: var(--text-primary);
  background: var(--bg-button-outline-on);
  box-shadow: var(--shadow-blue-on);
  opacity: 1;
}

.cta-container button.primary-button {
  opacity: 1;
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .course-title {
    margin: 40px 0 7px 20px;
    font-size: 26px;
  }

  .course-subtitle {
    font-size: 17px;
  }

  .tech-section {
    gap: 40px;
    padding: 20px;
  }

  .meta-section {
    flex: 1.1;
    gap: 30px;
  }

  .image-container img {
    max-width: 260px;
  }

  .meta-container li {
    margin-top: 5px;
  }

  .key-span {
    margin-right: 8px;
    font-size: 16px;
  }

  .key-value {
    font-size: 14px;
  }

  .key-value.price {
    font-size: 17px;
  }

  .description-section p {
    font-size: 16px;
  }

  .description-section p:last-child {
    font-size: 15px;
  }

  .divider-band {
    height: 60px;
  }

  .data-section {
    padding: 30px 10px;
  }

  .program-section {
    flex: 1.2; 
  }

  .calendar-section {
    flex: 0.8;
  }

  .data-section h2 {
    font-size: 24px;
  }

  .program-grid {
    gap: 35px 35px;
  }

  .program-card {
    padding: 35px 15px 20px 15px;
  }

  .card-number {
    width: 50px;
    height: 50px;
    font-size: 18px;
  }

  .program-card h3 {
    font-size: 18px;
  }

  .program-details ul {
    padding-left: 10px;
  }

  .program-details li::before {
    margin-right: 8px;
  }

  .program-card-button {
    font-size: 13px;
  }

  .next-classroom {
    padding: 15px 30px;
    font-size: 18px;
  }

  .cta-container {
    gap: 20px;
    margin-top: 90px;
  }

  .cta-container button {
    padding: 12px 24px;
    font-size: 16px;
  }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .course-title {
    margin: 40px 0 7px 20px;
    font-size: 24px;
  }

  .course-subtitle {
    font-size: 15px;
  }

  .tech-section {
    gap: 40px;
    padding: 20px;
  }

  .meta-section {
    flex: 1.2;
    gap: 30px;
  }

  .description-section {
    flex: 0.8;
  }

  .image-container img {
    max-width: 230px;
  }

  .meta-container li {
    margin-top: 5px;
  }

  .key-span {
    margin-right: 8px;
    font-size: 15px;
  }

  .key-value {
    font-size: 14px;
  }

  .key-value.price {
    font-size: 16px;
  }

  .description-section p {
    margin-bottom: 15px;
    font-size: 15px;
    line-height: 1.1;
  }

  .description-section p:last-child {
    margin-top: 0;
    font-size: 14px;
  }

  .divider-band {
    height: 50px;
    margin: 30px 0 0 0;
  }

  .data-section {
    padding: 20px 10px;
  }

  .program-section {
    flex: 1.3; 
  }

  .calendar-section {
    flex: 0.7;
  }

  .data-section h2 {
    font-size: 22px;
  }

  .program-grid {
    gap: 30px 30px;
    margin-top: 25px;
  }

  .program-card {
    padding: 35px 10px 20px 10px;
  }

  .card-number {
    width: 45px;
    height: 45px;
    font-size: 17px;
  }

  .program-card h3 {
    font-size: 17px;
  }

  .program-details ul {
    padding-left: 5px;
  }

  .program-details li {
    margin: 4px 0;
    font-size: 13px;  
  }

  .program-details li::before {
    margin-right: 6px;
  }

  .program-card-button {
    padding: 5px 10px;
    font-size: 13px;
  }

  .next-classroom-container {
    margin-top: 65px;
  }

  .next-classroom {
    padding: 10px 20px;
    font-size: 17px;
  }

  .cta-container {
    gap: 20px;
    margin-top: 85px;
  }

  .cta-container button {
    padding: 12px 24px;
    font-size: 16px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .course-title {
    margin: 40px 0 7px 20px;
    font-size: 24px;
  }

  .course-subtitle {
    font-size: 15px;
  }

  .tech-section {
    gap: 40px;
    padding: 20px;
  }

  .meta-section {
    flex: 1.2;
    gap: 30px;
  }

  .description-section {
    flex: 0.8;
  }

  .image-container img {
    max-width: 230px;
  }

  .meta-container li {
    margin-top: 5px;
  }

  .key-span {
    margin-right: 8px;
    font-size: 15px;
  }

  .key-value {
    font-size: 14px;
  }

  .key-value.price {
    font-size: 16px;
  }

  .description-section p {
    margin-bottom: 15px;
    font-size: 15px;
    line-height: 1.1;
  }

  .description-section p:last-child {
    margin-top: 0;
    font-size: 14px;
  }

  .divider-band {
    height: 50px;
    margin: 30px 0 0 0;
  }

  .data-section {
    padding: 20px 10px;
  }

  .program-section {
    flex: 1.3; 
  }

  .calendar-section {
    flex: 0.7;
  }

  .data-section h2 {
    font-size: 22px;
  }

  .program-grid {
    gap: 30px 30px;
    margin-top: 25px;
  }

  .program-card {
    padding: 35px 10px 20px 10px;
  }

  .card-number {
    width: 45px;
    height: 45px;
    font-size: 17px;
  }

  .program-card h3 {
    font-size: 17px;
  }

  .program-details ul {
    padding-left: 5px;
  }

  .program-details li {
    margin: 4px 0;
    font-size: 13px;  
  }

  .program-details li::before {
    margin-right: 6px;
  }

  .program-card-button {
    padding: 5px 10px;
    font-size: 13px;
  }

  .next-classroom-container {
    margin-top: 65px;
  }

  .next-classroom {
    padding: 10px 20px;
    font-size: 17px;
  }

  .cta-container {
    gap: 20px;
    margin-top: 85px;
  }

  .cta-container button {
    padding: 12px 24px;
    font-size: 16px;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {
  .course-title {
    margin: 30px 0 7px 20px;
    font-size: 26px;
  }

  .course-subtitle {
    font-size: 16px;
  }

  .tech-section {
    flex-direction: column;
    gap: 10px;
    padding: 20px;
  }

  .meta-section {
    gap: 30px;
  }

  .image-container img {
    max-width: 240px;
  }

  .meta-container li {
    margin-top: 5px;
  }

  .key-span {
    margin-right: 7px;
    font-size: 15px;
  }

  .key-value {
    font-size: 14px;
  }

  .key-value.price {
    font-size: 16px;
  }

  .description-section p {
    margin-bottom: 15px;
    font-size: 16px;
  }

  .description-section p:last-child {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 15px;
  }

  .divider-band {
    height: 40px;
    margin: 20px 0 0 0;
  }

  .data-section {
    flex-direction: column;
    gap: 50px;
    padding: 20px 5px;
  }

  .program-section {
    flex: 1;
    align-items: stretch;
    padding: 0 50px;
  }

  .calendar-section {
    flex: 1;
  }

  .data-section h2 {
    text-align: center;
    font-size: 24px;
  }

  .program-grid {
    grid-template-columns: repeat(1, 1fr);
    gap: 30px;
    margin-top: 25px;
  }

  .card-number {
    width: 70px;
    height: 70px;
    font-size: 21px;
  }

  .program-card h3 {
    font-size: 21px;
  }

  .program-details li {
    font-size: 16px;  
  }

  .program-card-button {
    padding: 8px 16px;
    font-size: 15px;
  }

  .next-classroom-container {
    flex-direction: row;
    gap: 40px;
    margin-top: 25px;
  }

  .next-classroom {
    padding: 15px 30px;
    font-size: 18px;
  }

  .cta-container {
    flex-direction: row;
    gap: 35px;
    margin-top: 60px;
  }

  .cta-container button {
    padding: 12px 24px;
    font-size: 16px;
  }
}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .course-title {
    margin: 30px 0 7px 20px;
    font-size: 28px;
  }

  .course-subtitle {
    font-size: 18px;
  }

  .tech-section {
    flex-direction: column;
    gap: 5px;
    padding: 30px;
  }

  .meta-section {
    gap: 60px;
  }

  .image-container img {
    max-width: 280px;
  }

  .key-span {
    font-size: 18px;
  }

  .key-value {
    font-size: 16px;
  }

  .key-value.price {
    font-size: 19px;
  }

  .description-section p {
    margin-bottom: 0;
    font-size: 17px;
  }

  .description-section p:last-child {
    margin-top: 20px;
    margin-bottom: 0;
    font-size: 16px;
  }

  .divider-band {
    height: 40px;
    margin: 30px 0 0 0;
  }

  .data-section {
    flex-direction: column;
    gap: 60px;
    padding: 20px 10px;
  }

  .program-section {
    flex: 1; 
  }

  .calendar-section {
    flex: 1;
  }

  .data-section h2 {
    font-size: 24px;
  }

  .program-grid {
    gap: 35px 35px;
    margin-top: 25px;
  }

  .program-card {
    padding: 35px 10px 20px 10px;
  }

  .card-number {
    width: 50px;
    height: 50px;
    font-size: 19px;
  }

  .program-card h3 {
    font-size: 19px;
  }

  .program-details ul {
    padding-left: 10px;
  }

  .program-details li::before {
    margin-right: 8px;
  }

  .next-classroom-container {
    flex-direction: row;
    gap: 70px;
    margin-top: 30px;
  }

  .next-classroom {
    padding: 15px 30px;
    font-size: 18px;
  }

  .cta-container {
    flex-direction: row;
    gap: 45px;
    margin-top: 60px;
  }

  .cta-container button {
    padding: 12px 24px;
    font-size: 17px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .course-title {
    margin: 30px 0 7px 20px;
    text-align: center;
    font-size: 20px;
  }

  .course-subtitle {
    text-align: center;
    font-size: 14px;
  }

  .tech-section {
    flex-direction: column;
    gap: 10px;
    padding: 10px;
  }

  .meta-section {
    flex-direction: column;
    gap: 20px;
  }

  .image-container {
    display: flex;
    justify-content: center;
  }

  .image-container img {
    max-width: 98%;
  }

  .meta-container li {
    margin-top: 5px;
  }

  .key-span {
    margin-right: 7px;
    font-size: 14px;
  }

  .key-value {
    font-size: 13px;
  }

  .key-value.price {
    font-size: 15px;
  }

  .description-section p {
    margin-bottom: 15px;
    text-align: center;
    font-size: 14px;
  }

  .description-section p:last-child {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 13px;
  }

  .divider-band {
    height: 40px;
    margin: 20px 0 0 0;
  }

  .data-section {
    flex-direction: column;
    gap: 50px;
    padding: 20px 5px;
  }

  .program-section {
    flex: 1;
    align-items: stretch;
    padding: 0;
  }

  .calendar-section {
    flex: 1;
  }

  .data-section h2 {
    text-align: center;
    font-size: 20px;
  }

  .program-grid {
    grid-template-columns: repeat(1, 1fr);
    gap: 25px;
    margin-top: 20px;
  }

  .program-card {
    padding: 35px 10px 20px 10px;
  }

  .card-number {
    width: 50px;
    height: 50px;
    font-size: 16px;
  }

  .program-card h3 {
    font-size: 16px;
  }

  .program-details ul {
    padding-left: 5px;
  }

  .program-details li {
    font-size: 13px;  
  }

  .program-details li::before {
    margin-right: 5px;
  }

  .program-card-button {
    padding: 8px 16px;
    font-size: 15px;
  }

  .next-classroom-container {
    gap: 30px;
    margin-top: 25px;
  }

  .next-classroom {
    padding: 10px 20px;
    font-size: 16px;
  }

  .cta-container {
    gap: 25px;
    margin-top: 60px;
  }

  .cta-container button {
    padding: 12px 24px;
    font-size: 15px;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .course-title {
    margin: 30px 0 7px 20px;
    font-size: 20px;
  }

  .course-subtitle {
    font-size: 14px;
  }

  .tech-section {
    flex-direction: column;
    gap: 10px;
    padding: 10px;
  }

  .meta-section {
    gap: 30px;
  }

  .image-container {
    display: flex;
    justify-content: center;
  }

  .image-container img {
    max-width: 220px;
  }

  .meta-container li {
    margin-top: 5px;
  }

  .key-span {
    margin-right: 7px;
    font-size: 14px;
  }

  .key-value {
    font-size: 13px;
  }

  .key-value.price {
    font-size: 15px;
  }

  .description-section p {
    margin-bottom: 15px;
    font-size: 14px;
  }

  .description-section p:last-child {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 13px;
  }

  .divider-band {
    height: 40px;
    margin: 20px 0 0 0;
  }

  .data-section {
    flex-direction: column;
    gap: 50px;
    padding: 20px 5px;
  }

  .program-section {
    flex: 1;
    align-items: stretch;
    padding: 0 40px;
  }

  .calendar-section {
    flex: 1;
  }

  .data-section h2 {
    text-align: center;
    font-size: 20px;
  }

  .program-grid {
    grid-template-columns: repeat(1, 1fr);
    gap: 25px;
    margin-top: 20px;
  }

  .program-card {
    padding: 35px 10px 20px 10px;
  }

  .card-number {
    width: 60px;
    height: 60px;
    font-size: 18px;
  }

  .program-card h3 {
    font-size: 18px;
  }

  .program-details ul {
    padding-left: 20px;
  }

  .program-details li {
    font-size: 15px;  
  }

  .program-details li::before {
    margin-right: 10px;
  }

  .program-card-button {
    padding: 8px 16px;
    font-size: 15px;
  }

  .next-classroom-container {
    flex-direction: row;
    gap: 30px;
    margin-top: 25px;
  }

  .next-classroom {
    padding: 10px 20px;
    font-size: 16px;
  }

  .cta-container {
    flex-direction: row;
    gap: 20px;
    margin-top: 40px;
  }

  .cta-container button {
    padding: 12px 24px;
    font-size: 15px;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .course-title {
    margin: 30px 0 7px 20px;
    font-size: 24px;
  }

  .course-subtitle {
    font-size: 16px;
  }

  .tech-section {
    flex-direction: column;
    gap: 5px;
    padding: 30px;
  }

  .meta-section {
    gap: 60px;
  }

  .image-container img {
    max-width: 260px;
  }

  .key-span {
    font-size: 17px;
  }

  .key-value {
    font-size: 15px;
  }

  .key-value.price {
    font-size: 18px;
  }

  .description-section p {
    margin-bottom: 0;
    font-size: 16px;
  }

  .description-section p:last-child {
    margin-top: 20px;
    margin-bottom: 0;
    font-size: 15px;
  }

  .divider-band {
    height: 40px;
    margin: 30px 0 0 0;
  }

  .data-section {
    flex-direction: column;
    gap: 50px;
    padding: 20px 10px;
  }

  .program-section {
    flex: 1; 
  }

  .calendar-section {
    flex: 1;
  }

  .data-section h2 {
    font-size: 24px;
  }

  .program-grid {
    gap: 30px 30px;
    margin-top: 25px;
  }

  .program-card {
    padding: 35px 10px 20px 10px;
  }

  .card-number {
    width: 50px;
    height: 50px;
    font-size: 18px;
  }

  .program-card h3 {
    font-size: 18px;
  }

  .program-details ul {
    padding-left: 10px;
  }

  .program-details li::before {
    margin-right: 8px;
  }

  .next-classroom-container {
    flex-direction: row;
    gap: 60px;
    margin-top: 25px;
  }

  .next-classroom {
    padding: 12px 24px;
    font-size: 17px;
  }

  .cta-container {
    flex-direction: row;
    gap: 40px;
    margin-top: 50px;
  }

  .cta-container button {
    padding: 11px 22px;
    font-size: 16px;
  }
}